Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EODbAttribute

    java.lang.Object
      org.apache.cayenne.map.Attribute
          org.apache.cayenne.map.DbAttribute
              org.apache.cayenne.wocompat.EODbAttribute

All Implemented Interfaces:
  java.io.Serializable, CayenneMapEntry, XMLSerializable

    public class EODbAttribute

extends DbAttribute

EOModel-friendly DbAttribute subclass.

Since:
  1.2
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `eoAttributeName`

Fields inherited from class org.apache.cayenne.map.DbAttribute
`generated, mandatory, maxLength, precision, primaryKey, type`

Fields inherited from class org.apache.cayenne.map.Attribute
`entity, name`

Constructor Summary
`EODbAttribute()`
`EODbAttribute(java.lang.String name, int type, DbEntity entity)`

Method Summary
`java.lang.String` | `getEoAttributeName()`
`void` | `setEoAttributeName(java.lang.String eoAttributeName)`

Methods inherited from class org.apache.cayenne.map.DbAttribute
`encodeAsXML, getAliasedName, getMaxLength, getPrecision, getType, isForeignKey, isGenerated, isMandatory, isPrimaryKey, setGenerated, setMandatory, setMaxLength, setPrecision, setPrimaryKey, setType`

Methods inherited from class org.apache.cayenne.map.Attribute
`getEntity, getName, getParent, setEntity, setName, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eoAttributeName

    protected java.lang.String eoAttributeName

Constructor Detail

### EODbAttribute

    public EODbAttribute()

### EODbAttribute

    public EODbAttribute(java.lang.String name,
                         int type,
                         DbEntity entity)

Method Detail

### getEoAttributeName

    public java.lang.String getEoAttributeName()

### setEoAttributeName

    public void setEoAttributeName(java.lang.String eoAttributeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.